// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include "bomber.hh"

Bomber::Bomber()
{
  surface = CL_Res_Surface::load("Pingus/bomber", *resource);
  counter.set_size(surface->get_no_sprs());
  counter.set_type(Counter::once);
  counter.set_count(0);
  counter.set_speed(10);
  is_multi_direct = false;
}

void
Bomber::let_move()
{
  if (data->status == dead)
    return;
  // Bug: This only needs to set once, but in the constructor data is
  // not initialisised 
  data->status = not_catchable;
  // BugEnd

  if (counter >= surface->get_no_sprs() - 1)
    data->status = dead;
}

/* EOF */
