// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include <cstdio>
#include <ClanLib/clanlayer2.h>

#include "button.hh"

CL_Font* Button::font;

Button::Button(int x, int y, char* str, CL_ResourceManager* resource)
{
  x_pos = x;
  y_pos = y;
  button_p = CL_Res_Surface::load(str, *resource);
  button   = CL_Res_Surface::load(str, *resource);
  font     = CL_Res_Font::load("Fonts/font", *resource);

  if (!button_p || !button) {
    cout << "Button:: \"" << str << "\" not found" << endl;
    exit(EXIT_FAILURE);
  }
}

bool
Button::is_pressed()
{
  return false;
}

void
Button::draw()
{
  font->print_left(x_pos, y_pos, "99");

  if (is_pressed())
    button_p->put_screen(x_pos, y_pos);
  else
    button->put_screen(x_pos, y_pos);
}

void
Button::let_move()
{
  
}

/* EOF */
