// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef LEVELMAP_HH
#define LEVELMAP_HH

#include <ClanLib/clanlib.h>
#include <ClanLib/clanlayer2.h>

#include "plf.hh"
#include "gui_obj.hh"

// The LevelMap is a small overview of the complete level, it should
// resiste in bottom/right corner of the screen.

class LevelMap : public GuiObj
{
private:
  static CL_ResourceManager* resource;

  CL_Surface* map;
public:
  static void load_data(CL_ResourceManager* res);

  LevelMap(PLF* plf);
  void let_move();
  void draw();
};

#endif

/* EOF */
